package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFAssistWork;
import com.sa.ibiz.demo.demo.service.dto.WFAssistWorkSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFAssistWork] 服务对象接口
 */
public interface WFAssistWorkService extends IService<WFAssistWork>{

	boolean update(WFAssistWork et);
		WFAssistWork get(WFAssistWork et);
	boolean remove(WFAssistWork et);
	boolean checkKey(WFAssistWork et);
	boolean create(WFAssistWork et);
	boolean getDraft(WFAssistWork et);
    List<WFAssistWork> listCurUserAssistWork(WFAssistWorkSearchFilter filter) ;
	Page<WFAssistWork> searchCurUserAssistWork(WFAssistWorkSearchFilter filter);
    List<WFAssistWork> listDefault(WFAssistWorkSearchFilter filter) ;
	Page<WFAssistWork> searchDefault(WFAssistWorkSearchFilter filter);
	/**	 实体[WFAssistWork] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }